SNEKDE(1)

NAME
snekde - Snek Development Environment

SYNOPSIS
snekde [OPTION]...

OPTIONS

--port <serial port>
    Specifies the serial port to use to communicate with the target device.

DESCRIPTION
snekde is an integrated development environment for Snek on embedded computers. It runs in a terminal and displays two panes. The upper pane is the editor pane and is designed to edit Snek source code. The lower pan is the interaction pane and displays output from the target device and sends commands to the target device.

KEY BINDINGS
snekde is entirely keyboard operated; it does not use the mouse at all. For the most part, both panes accept the same commands. Normal characters are inserted into the current pane.

Page-Up/Page-Down
    These change the current pane, moving from edit pane to interaction pane and back.

Ctrl-X/Ctrl-C/Ctrl-V
    These are the bindings for Cut/Copy/Paste operations.

Ctrl-C
    In the interaction pane, Ctrl-C does not copy text, instead it interrupts execution in the target device.

Function keys
    The function keys F1-F6 perform various global operations. These operations are displayed at the top of the screen. F1 selects a new target device. F2/F3 get and put the contents of the edit pane to the target device program storage. F5/F6 load and save the edit pane contents to files on the local computer.

Movement
    The usual cursor keys, along with Home and End move the cursor within the current pane.

AUTHOR
Keith Packard